WAKATODOCS

Tables

GET
/tables

Required scope: tables:read

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Response Body

application/json

{}
POST
/tables

Required scope: tables:write

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

{}
GET
/tables/{tableId}

Required scope: tables:read

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

tableId*string

Response Body

application/json

{}
PATCH
/tables/{tableId}

Required scope: tables:write

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

tableId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

{}
DELETE
/tables/{tableId}

Required scope: tables:write

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

tableId*string

Query Parameters

hard?boolean

Response Body

application/json

{}
GET
/tables/{tableId}/rows

Required scope: tables:read

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

tableId*string

Query Parameters

limit?integer
offset?integer
filters?string

JSON array: [{"column_key","op","value"}] — ops: eq|neq|contains|gt|lt|is_empty|is_not_empty

sort?string

JSON array: [{"column_key","direction"}]

search?string

Substring match on the title column

search_column?string

Response Body

application/json

{}
POST
/tables/{tableId}/rows

Required scope: tables:write

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

tableId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

{}
POST
/tables/{tableId}/rows/bulk

Required scope: tables:write

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

tableId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

{}
PATCH
/tables/{tableId}/rows/bulk

Required scope: tables:write

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

tableId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

{}
POST
/tables/{tableId}/rows/bulk-delete

Required scope: tables:write

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

tableId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

{}
PATCH
/tables/{tableId}/rows/{rowId}

Required scope: tables:write

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

tableId*string
rowId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

{}
DELETE
/tables/{tableId}/rows/{rowId}

Required scope: tables:write

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

tableId*string
rowId*string

Response Body

application/json

{}
GET
/tables/{tableId}/columns

Required scope: tables:read

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

tableId*string

Response Body

application/json

{}
POST
/tables/{tableId}/columns

Required scope: tables:write

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

tableId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

{}
PATCH
/tables/{tableId}/columns/{columnId}

Required scope: tables:write

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

tableId*string
columnId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

{}
DELETE
/tables/{tableId}/columns/{columnId}

Required scope: tables:write

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

tableId*string
columnId*string

Response Body

application/json

{}
GET
/tables/{tableId}/views

Required scope: tables:read

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

tableId*string

Response Body

application/json

{}
POST
/tables/{tableId}/views

Required scope: tables:write

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

tableId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

{}
GET
/tables/{tableId}/views/{viewId}

Required scope: tables:read

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

tableId*string
viewId*string

Response Body

application/json

{}
PATCH
/tables/{tableId}/views/{viewId}

Required scope: tables:write

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

tableId*string
viewId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

{}
DELETE
/tables/{tableId}/views/{viewId}

Required scope: tables:write

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

tableId*string
viewId*string

Response Body

application/json

{}
GET
/tables/{tableId}/share-links

Required scope: tables:read

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

tableId*string

Response Body

application/json

{}
POST
/tables/{tableId}/share-links

Required scope: tables:write

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

tableId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

{}
DELETE
/tables/{tableId}/share-links/{linkId}

Required scope: tables:write

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

tableId*string
linkId*string

Response Body

application/json

{}
GET
/tables/{tableId}/rows/{rowId}/comments

Required scope: tables:read

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

tableId*string
rowId*string

Query Parameters

limit?integer

Response Body

application/json

{}
POST
/tables/{tableId}/rows/{rowId}/comments

Required scope: tables:write

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

tableId*string
rowId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

{}
GET
/tables/{tableId}/snapshots

Required scope: tables:read

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

tableId*string

Query Parameters

limit?integer

Response Body

application/json

{}
POST
/tables/{tableId}/snapshots

Required scope: tables:write

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

tableId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

{}
POST
/tables/{tableId}/snapshots/{snapshotId}/restore

Required scope: tables:write

Authorization

bearerAuth
AuthorizationBearer <token>

A Space API key, e.g. wks_live_….

In: header

Path Parameters

tableId*string
snapshotId*string

Response Body

application/json

{}